      program MkSSforSF
***********************************************************
*     redshift -> Shell Script
*----------------------------------------------------------
*     2015.6.30
***********************************************************
      implicit real*8 (a-h,k-z)
      integer mm, izph
      parameter(mm=1000)
      real(8),dimension(mm) :: zph
      character fia*3,fz*5,fz1*6
      character fobs1*50,fobs2*50,fobs3*50,fobs4*50
      character f1*50,f2*50,f3*50,f4*50
c     
c     ##### unit number #####
      i_zin = 11                ! for input file in which redshift information is 
c     written. IA-band name is set in the 1st line.
      i_sc = 12                 ! for output file as shell script
c     
      open (i_zin,FILE = 'MkSSforSF.in', STATUS = 'UNKNOWN')
      open (i_sc,FILE = 'MkSSforSF.out', STATUS = 'UNKNOWN')
c     open (13,FILE = 'MkSSforSF.prm', STATUS = 'UNKNOWN')
c     
      write(i_sc,999) '#!/bin/tcsh'
c     
      read(i_zin,*) ia
      write(fia,'(i3)') ia
c     
      write(i_sc,999) 'cp -f onband_IA/onband_IA'//fia//'.in onband.in'
 999  format(A)
      write(i_sc,999)
      fobs1 = 'mahoroba2_obs2_IA/mahoroba2_obs2_IA'//fia//'.dat'
      fobs2 = 'mahoroba2_zph2_IA/mahoroba2_zph2_IA'//fia//'.dat'
      fobs3 = 'mahoroba2_obs2.dat'
      fobs4 = 'mahoroba2_zph2.dat'
      write(i_sc,999) 'cp -f '//trim(fobs1)//' '//trim(fobs3)
      write(i_sc,999) 'cp -f '//trim(fobs2)//' '//trim(fobs4)
c     
      do i=1,100                ! Loop for Z: begin
         write(i_sc,999)
         read(i_zin,*,END=800) zph(i)
         izph = nint(1000.d0*zph(i))
         iz1 = int(zph(i))
         iz2 = izph - iz1*1000; print '(F10.5, 2I5, I3.3)', zph(i), izph, iz1, iz2
c     write(6,*) i,zph(i),izph,iz1,iz2
         if (izph.lt.10) then
            write(fz,'(a4,i1)') 'z000',izph
            write(fz1,'(a5,i1)') 'z0p00',izph
         endif
         if (izph.ge.10.and.izph.lt.100) then
            write(fz,'(a3,i2)') 'z00',izph
            write(fz1,'(a4,i2)') 'z0p0',izph
         endif
         if (izph.ge.100.and.izph.lt.1000) then
            write(fz,'(a2,i3)') 'z0',izph
            write(fz1,'(a3,i3)') 'z0p',izph
         endif
         if (izph.ge.1000.and.izph.lt.10000) then
            write(fz,'(a1,i4)') 'z',izph
            write(fz1,'(a1,i1,a1,i3.3)') 'z',iz1,'p',iz2
         endif
c     
         f1 = 'mahoroba2_tem2_z/mahoroba2_tem2_'//fz//'.dat'
         f2 = 'mahoroba2_tem2_z/mahoroba2_tem2_'//fz//'b.dat'
         f3 = '150305_lowz/IA'//fia//'_zfit_'//fz1//'_IA.out'
         f4 = '150305_lowz/IA'//fia//'_zfit_'//fz1//'_f16.out'
         write(i_sc,999) 'cp -f '//trim(f1)//' mahoroba2_tem2.dat'
         write(i_sc,999) 'cp -f '//trim(f2)//' mahoroba2_tem22.dat'
         write(i_sc,999) 'nice ./mahoroba2_cosmos21emitter_z9_IRAC2'
         write(i_sc,999) 'mv IA_zfit.out '//trim(f3)
         write(i_sc,999) 'mv fort.16 '//trim(f4)
      enddo                     ! Loop for Z: end
 800  continue
c     

      close(i_zin)
      close(i_sc)
      stop
      end
